#define ll long long
#define se second
#define fi first
using namespace std;
#include<utility>
#include<algorithm>
#include<vector>

const char nl = '\n';

    std::vector<int> getVisionPattern1d()  {
        return {1, 2, 3};
    }

    int getMove1d(std::vector<int> v) {
        int n = v.size();
        if (v[n / 2] % 3 + 1 == v[n / 2 + 1]) {
            return n / 2 + 1;
        } else {
            return n / 2 - 1;
        }
    }

    std::vector<std::vector<int>> getVisionPattern2d() {

    }

    std::pair<int, int> getMove2d(std::vector<std::vector<int>> v) {

    }